org.apache.cassandra.index.sasi.disk

## Class OnDiskIndex.PointerLevel

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.OnDiskIndex.Level<OnDiskIndex.PointerBlock>
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndex.PointerLevel

Enclosing class:
  OnDiskIndex

    protected class OnDiskIndex.PointerLevel
    extends OnDiskIndex.Level<OnDiskIndex.PointerBlock>

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.disk.OnDiskIndex.Level

`blockCount, blockOffsets`

### Constructor Summary

Constructors
Constructor and Description
`PointerLevel(long offset, int count)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected OnDiskIndex.PointerBlock` `cast(MappedBuffer block)`
`OnDiskIndex.PointerTerm` `getPointer(OnDiskIndex.PointerTerm parent, java.nio.ByteBuffer query)`

### Methods inherited from class org.apache.cassandra.index.sasi.disk.OnDiskIndex.Level

`getBlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PointerLevel

    public PointerLevel(long offset,
                        int count)

### Method Detail

#### getPointer

    public OnDiskIndex.PointerTerm getPointer(OnDiskIndex.PointerTerm parent,
                                              java.nio.ByteBuffer query)

#### cast

    protected OnDiskIndex.PointerBlock cast(MappedBuffer block)

Specified by:
  `cast` in class `OnDiskIndex.Level<OnDiskIndex.PointerBlock>`